diff --git a/tests/test_apt.sh b/tests/test_apt.sh
index f8fdfe4f83e460fae1e2c24c129e16588857579f..809a34851eff5e62d96c99ade483ede7225aa24d 100755
--- a/tests/test_apt.sh
+++ b/tests/test_apt.sh
@@ -17,3 +17,10 @@ fi
 
 # Installation testing package sl
 apt-get update && apt-get install -y sl && apt-get remove -y sl
+
+if [ ! -f /etc/apt/apt.conf.d/20auto-upgrades ]; then
+    if [ ! -f /etc/apt/apt.conf.d/50unattended-upgrades ]; then
+        echo "Automatic security updates not enabled"
+        exit 1
+    fi
+fi